New Version 2016
InstallShield: Requirements

How the World Builds MSI and EXE Installers and UWP and WSA Packages for Windows Applications

Requirements

InstallShield® 2016 System Requirements

InstallShield is the leading software installation development solution for building App-V packages and MSI installers for Windows applications. Following are the minimum requirements for systems that run InstallShield (the authoring environment), as well as for target systems that run the installations created with InstallShield (the run-time environment).

For Systems Running InstallShield

Processor Pentium III-class PC (500 MHz or higher recommended)
RAM 256 MB of RAM (512 MB preferred)
Hard Disk 500 MB free space
Display Designed for XGA resolution at 1024 × 768 or higher
Operating System

Windows Vista
Windows Server 2008 
Windows 7
Windows Server 2008 R2
Windows 8
Windows Server 2012
Windows 8.1
Windows Server 2012 R2
Windows 10
Windows Server 2016

Privileges Administrative privileges on the system
Mouse Microsoft IntelliMouse or other compatible pointing device
Optional Integration with Visual Studio

The following versions of Microsoft Visual Studio can be integrated with InstallShield Premier or Professional Editions:

  • Visual Studio 2010
  • Visual Studio 2012
  • Visual Studio 2013
  • Visual Studio 2015

The following editions of these versions of Visual Studio can be integrated with InstallShield Premier or Professional Editions:

  • Professional
  • Premium
  • Ultimate

For Target Systems

Note: For all project types except for Suites (Advanced UI, and Suite/Advanced UI project types), Windows XP SP3 and Windows Server 2003 SP2 are the minimum versions of Windows that are required for target systems that run the installations that are created in InstallShield. For Suites, Windows Vista and Windows Server 2008 are the minimum versions of Windows that are required for target systems.

Target systems must meet the following minimum operating system requirement:

  • Windows XP SP3
  • Windows Server 2003 SP2
  • Windows Vista
  • Windows Server 2008
  • Windows 7
  • Windows Server 2008 R2
  • Windows 8
  • Windows Server 2012
  • Windows 8.1
  • Windows Server 2012 R2
  • Windows 10
  • Windows Server 2016

Target systems must also support the SSE2 instruction set.

Back to InstallShield